---
# generated by https://github.com/hashicorp/terraform-plugin-docs
page_title: "tor_family_identity Resource - tor"
subcategory: ""
description: |-
  Generates a Tor family identity key as described in proposal 321 (Happy Families).
---

# tor_family_identity (Resource)

Generates a Tor family identity key as described in proposal 321 (Happy Families).

## Example Usage

```terraform
resource "tor_family_identity" "example" {
  family_name = "MyFamily"
}

# Access the generated family identity
output "family_id" {
  value = tor_family_identity.example.id
}

# Use the secret key to configure your Tor relay
resource "local_sensitive_file" "family_key" {
  content_base64 = tor_family_identity.example.secret_key
  filename       = "MyFamily.secret_family_key"
}
```

<!-- schema generated by tfplugindocs -->
## Schema

### Required

- `family_name` (String) Name of the family

### Read-Only

- `id` (String) Base64-encoded public key (as stored in public_family_id file)
- `secret_key` (String, Sensitive) Binary contents of the secret family key file (base64 encoded)
